
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>C++高精度定时器 / iVAN</title>

    <meta name="description" content="C++高精度定时器 //////////////////////////////////////////////////////////////////////// /////// // KTimer.h // // Windows Graphics Programming Win32 GDI and DirectDraw // Feng Yuan // Publisher: Prentice Hall PTR // First Edition December 01, 2000 // // 高精度纳秒计时器, 最">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">C++高精度定时器</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><code>//////////////////////////////////////////////////////////////////////// ///////<br />
// KTimer.h<br />
//<br />
//　　　　　 Windows Graphics Programming Win32 GDI and DirectDraw<br />
//　　　　　 Feng Yuan<br />
//　　　　　 Publisher: Prentice Hall PTR<br />
//　　　　　 First Edition December 01, 2000<br />
//<br />
//　 高精度纳秒计时器, 最后修改:<br />
//　　　　　 2008-12　 by cheungmine@gmail.com<br />
/////////////////////////////////////////////////////////////////////////////// /* Usage:</p>
<p>　　　 int main()<br />
　　　 {<br />
　　　　　　　 KTimer　 kt;<br />
　　　　　　　 unsigned int cpu_speed = kt.CPUSpeedMHz();</p>
<p>　　　　　　　 kt.Start();</p>
<p>　　　　　　　 Sleep(1234);</p>
<p>　　　　　　　 unsigned int elapsed_cyc = (unsigned int) kt.Stop();</p>
<p>　　　　　　　 printf("CPU Speed: %.2f Ghz. Elapsed %ld CPU Cycles ( %ld Nanosecond)\n",<br />
　　　　　　　　　　　 cpu_speed/1000.f,<br />
　　　　　　　　　　　 elapsed_cyc,<br />
　　　　　　　　　　　 KTimer::CyclesToNanos(elapsed_cyc, cpu_speed));<br />
　　　 }<br />
*/<br />
#pragma once</p>
<p>#ifndef STRICT<br />
#　 define STRICT<br />
#endif</p>
<p>#ifndef WIN32_LEAN_AND_MEAN<br />
#　 define WIN32_LEAN_AND_MEAN<br />
#endif</p>
<p>#include &lt;windows.h&gt;</p>
<p>inline unsigned __int64 GetCycleCount(void)<br />
{<br />
　　　 _asm　　　 _emit 0x0F<br />
　　　 _asm　　　 _emit 0x31<br />
}</p>
<p>class KTimer<br />
{<br />
　　　 unsigned __int64　 m_startcycle;</p>
<p>public:</p>
<p>　　　 unsigned __int64　 m_overhead;　// Clock Cycles</p>
<p>　　　 KTimer(void)<br />
　　　 {<br />
　　　　　　　 m_overhead = 0;<br />
　　　　　　　 Start();<br />
　　　　　　　 m_overhead = Stop();<br />
　　　 }</p>
<p>　　　 // 启动CPU时钟<br />
　　　 void Start(void)<br />
　　　 {<br />
　　　　　　　 m_startcycle = GetCycleCount();<br />
　　　 }</p>
<p>　　　 // 停止CPU时钟, 返回自上一次启动的时钟周期数<br />
　　　 unsigned __int64 Stop(void)<br />
　　　 {<br />
　　　　　　　 return GetCycleCount()-m_startcycle-m_overhead;<br />
　　　 }</p>
<p>　　　 // 把以CPU周期数转为纳秒<br />
　　　 unsigned __int64 static CyclesToNanos(unsigned __int64 time_cycles, unsigned int speed_mhz)<br />
　　　 {<br />
　　　　　　　 return time_cycles*1000 / speed_mhz;<br />
　　　 }</p>
<p>　　　 // 把以CPU周期数转为毫秒<br />
　　　 unsigned __int64 static CyclesToMillis(unsigned __int64 time_cycles, unsigned int speed_mhz)<br />
　　　 {<br />
　　　　　　　 return time_cycles / speed_mhz / 1000;<br />
　　　 }</p>
<p>　　　 // 1GHz = 1000MHz<br />
　　　 unsigned int CPUSpeedMHz()<br />
　　　 {<br />
　　　　　　　 Start();<br />
　　　　　　　 Sleep(1000);<br />
　　　　　　　 unsigned __int64 cputime = Stop();</p>
<p>　　　　　　　 return (unsigned int)(cputime/1000000);<br />
　　　 }<br />
};</code></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-04 04:09:35</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/return/" title="return">return</a>, <a href="https://www.iamivan.net/tag/unsigned/" title="unsigned">unsigned</a>, <a href="https://www.iamivan.net/tag/int/" title="int">int</a>, <a href="https://www.iamivan.net/tag/%e6%97%b6%e9%92%9f/" title="时钟">时钟</a>, <a href="https://www.iamivan.net/tag/int64/" title="int64">int64</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>C++高精度定时器的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z46yN9M.html" rel="bookmark">Linux下的hrtimer高精度定时器【转】</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转自:http://blog.csdn.net/waverider2012/article/details/38305785 hrtimer高精度定时器的interval由ktime_set(const long secs, const unsigned long nsecs)决定,可做到ns级.此处的例子为5ms interval: [cpp] view plain copy     #include &lt;linux/kernel.h&gt;   #include &lt;linux/module.			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDeEJrb.html" rel="bookmark">C&num;中自定义高精度Timer定时器的实例教程&lowbar;C&num;教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.背景 在C#里关于定时器的类就有3个: (1)定义在System.Windows.Forms里   (2)定义在System.Threading.Timer类里   (3)定义在System.Timers.Timer类里 Timer 用于以用户定义的事件间隔触发事件.Windows 计时器是为单线程环境设计的,其中,UI 线程用于执行处理.它要求用户代码有一个可用的 UI 消息泵,而且总是在同一个线程中操作,或者将调用封送到另一个线程. 使用此计时器时,请使用控件的Tick事件执行轮询操作,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJ2jJDz.html" rel="bookmark">mips64高精度时钟引起ktime&lowbar;get时间不准，导致饿狗故障原因分析【转】</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				转自:http://blog.csdn.net/chenyu105/article/details/7720162 重点关注关中断的情况.临时做了一个版本,在CPU 0上监控所有非0 CPU的时钟中断计数,检查他们在100ms内是否增加.如果否,则认为此CPU关中断.另外,在高精度时钟中断处理函数hrtimer_interrupt以及时钟中断总入口打点,记录最长耗时.关中断检测代码如下:void check_timer_start(void){int i = 1;for(;i&lt;32;++i)cp			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z76kRZp.html" rel="bookmark">Linux时间子系统之七：定时器的应用--msleep&lpar;&rpar;，hrtimer&lowbar;nanosleep&lpar;&rpar;【转】</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  转自:http://blog.csdn.net/droidphone/article/details/8104433 我们已经在前面几章介绍了低分辨率定时器和高精度定时器的实现原理,内核为了方便其它子系统,在时间子系统中提供了一些用于延时或调度的API,例如msleep,hrtimer_nanosleep等等,这些API基于低分辨率定时器或高精度定时器来实现,本章的内容就是讨论这些方便.好用的API是如何利用定时器系统来完成所需的功能的. /*************************			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJ7dQJb.html" rel="bookmark">浅析Linux中的时间编程和实现原理（四）Linux 内核的工作</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				回顾 近年来,随着 Linux 的广泛使用,对时间编程提出了更高的要求.实时应用.多媒体软件对时钟和定时器的精度要求不断提高,在早期 Linux 内核中,定时器所能支持的最高精度是一个 tick.为了提高时钟精度,人们只能提高内核的 HZ 值 (一个内核参数,代表内核时钟中断的频率).更高的 HZ 值,意味着时钟中断更加频繁,内核要花更多的时间进行时钟处理.而内核的任何工作对于应用来说纯粹是无益的开销.当 HZ 值提高到 1000 之后,如果继续提高,Linux 的可用性将下降. 另外一方面,我			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pd6OJ3b.html" rel="bookmark">如何精确测量一段代码的执行时间</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近在工作中遇到了需要精确测量一段C代码执行时间的需求,大家给出的方案有以下三种: gettimeofday(2) rdtsc/rdtscp clock_gettime(2) 下面我们就逐一介绍下这三种方案的用法和限制,主要的关注点是准确性.精度和调用成本,讨论环境是运行在Intel x86上的Linux x86_64系统,内核的版本号高于2.6.32. gettimeofday(2) 首先是gettimeofday(2),函数原型如下: #include &lt;sys/time.h&gt; int g			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLmm25z.html" rel="bookmark">阿里内核月报2014年2月</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				32位ABI又暴高危漏洞-专家建议尽快更新 现在使用Linux内核的32位ABI的人已经不多了,事实上只有少数几个发行版没有在编译时就把它们直接关掉,而Ubuntu不幸就是其中之一.本月内核安全邮件列表security@kernel.org报告了最新发现的32位ABI安全漏洞,安全专家提醒受影响用户尽快升级. 这个漏洞的起源要从Linux内核的X32模式说起.如果在编译内核时打开CONFIG_X86_X32开关,然后给gcc使用-mx32开关去编译程序.Linux内核就允许这个程序使用X32兼容			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bamXNJb.html" rel="bookmark">C&num; 如何让 多线程中每个线程间隔毫秒执行同一个方法？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 多线程的好处让效率提高很多倍,但是在某些情况下要求操作同一个方法的时候要求有间隔,这个间隔当然是毫秒级别的否则多线程的意义就体现不出来,本问题就是怎么让多线程中每个线程间隔毫秒执行同一个方法,测试代码如下:privatevoidbtnTest_Click(objectsender,EventArgse){TestManyThreadtest=newTestManyThread();test.Start();} 主要代码如下classTestManyThread{privatestati			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOm1VxM.html" rel="bookmark">更精确地计量程序执行时间（转）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				GetTickCount()和GetCurrentTime()都只精确到55ms(1个tick就是55ms).如果要精确到毫秒,应该使用timeGetTime函数或QueryPerformanceCounter函数.具体例子可以参考QA001022 &quot;VC++中使用高精度定时器&quot;.QA001813 &quot;如何在Windows实现准确的定时&quot;和QA004842 &quot;timeGetTime函数延时不准&quot;.   GetTickCount精度不够,自己实现真正			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLaj5z.html" rel="bookmark" class="title">玩转WPS表格的度量单位</a>
					<div>
						WPS表格是国产优秀办公软件金山WPS Office的三大组件之一,类似于MS Office中的Excel.同WPS文字一样,也有英寸.厘米.毫米.磅等几种度量单位.基于表格的特性,没有默认度量单位的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybj8WNp.html" rel="bookmark" class="title">从函数中返回多个值的方法</a>
					<div>
						原文: http://blog.csdn.net/testing_is_believing 第一种方法是利用全局变量,因此根本不用返回,只要直接给全局变量赋值即可. 例: Dim intNumber_ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRArBb.html" rel="bookmark" class="title">搜狐扎根中关村 实现向技术型互联网公司的转型</a>
					<div>
						昨天,搜狐在自己新的根据地中关村威新国际大厦迎来成立7周年纪念日.搜狐董事局主席张朝阳表示,搜狐从此将扎根中关村,此举显示出搜狐将技术性导向作为重心.构建互联网技术公司的发展战略,实现向技术型互联网公 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4jxNM.html" rel="bookmark" class="title">国内SEO十年发展的得与失</a>
					<div>
						国内SEO历经近十年的发展,在一片混战中杀出重围,又再次陷入僵局,深入剖析SEO的发展之路,不仅仅是为行业的一个纵向把握,更是可以通过有效的分析对行业的前景和未来做一个未雨绸缪的规划. 03年到04年 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxXgPM.html" rel="bookmark" class="title">Ad Rotator 组件参考&lpar;五&rpar; - Ad Rotator 的方法</a>
					<div>
						参考 AdRotator 对象只有一个方法.GetAdvertisement GetAdvertisement 方法从 Rotator Schedule 文件中获取下一个广告.每次运行脚本时,例如当用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxqXyp.html" rel="bookmark" class="title">仁者见仁智者见智之做seo之我见</a>
					<div>
						最近算法的改变,让很多网站关键词排名消失了,seo的方向到底何在?原来seo没有一成不变的技术,算法的改进随时都可能导致排名产生波动,如今的 seo怎么样才能够让关键词实现好的排名,关键还在于自己对这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOw3Wqz.html" rel="bookmark" class="title">演示异常处理之实例七</a>
					<div>
						下面给出一个用于模拟异常和演示异常处理的实例.该实例的逻辑功能是,在屏幕上显示一条提示用户以按键方式选择异常类型的字符,然后模拟指定的异常.该实例演示内容包括:除法出错故障处理.溢出陷阱处理.段不存在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo625dz.html" rel="bookmark" class="title">如何手动调用playground的XCPCaptureValue以展示Swift过程数据</a>
					<div>
						playground可以实时显示程序的运行结果,有时我们使用循环或嵌套.迭代,那么数据的展示就可能要分批和对比,这样才能看出结果,有时我们可以直接从图形上瞄一眼就知道程序对不对了.playground ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAygLb.html" rel="bookmark" class="title">在Word 2007文档中改变文本框形状</a>
					<div>
						默认情况下,在Word2007文档中插入的文本框均为矩形.实际上,Word2007提供了多种形状的文本框,如箭头.标注.旗帜等形状,用户可以根据需要改变文本框的形状.在Word2007文档中改变文本框 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7Oxab.html" rel="bookmark" class="title">彩影怎么给照片祛斑</a>
					<div>
						  彩影怎么给照片祛斑          第一步:安装&quot;彩影&quot;并在&quot;彩影&quot;中打开我们的照片,如图1.我们的目标就是要让下图所示的斑点消失得无影无踪. 第二步:点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8jWE3b.html" rel="bookmark" class="title">如何在设计中寻找产品的性格</a>
					<div>
						在前一文发表之后,我收到了不少邮件,有点出乎意料但又在猜想之中的是,这些邮件之中交互设计行业远多于工业设计行业,互联网行业远多于实体产品行业,而我仍想从事实体产品的工业设计. 但我也确实对交互设计对互 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6292b.html" rel="bookmark" class="title">XP系统病毒防护功能启用</a>
					<div>
						  问:我的电脑安装了Windows XP,最近又安装了SP2补丁,可发现开机时在任务栏中总是显示一个红色的盾牌图标,用鼠标单击进入后提示&quot;病毒防护未启用&quot;,可我已经安装了&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3v5OM.html" rel="bookmark" class="title">阿里云ecs服务器价格&lowbar;阿里云主机价格表</a>
					<div>
						很多新手想购买阿里云ecs服务器,但由于对价格方面不是很了解,所以会找阿里云价格表作为参考了解一下.但都没能给出满意的答案,其实阿里云ecs服务器价格不是固定的,根据ecs服务器不同的配置,价格也会有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lk0Kb.html" rel="bookmark" class="title">四种生成和解析XML文档的方法详解（介绍&plus;优缺点比较&plus;示例）</a>
					<div>
						原文链接 作者:Alexia(minmin) 众所周知,现在解析XML的方法越来越多,但主流的方法也就四种,即:DOM.SAX.JDOM和DOM4J 下面首先给出这四种方法的jar包下载地址 DOM: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6AGBz.html" rel="bookmark" class="title">矩阵-数值分析作业，jacobi法，为什么我的特征向量是算错的，特征值却对了，怎么改正？</a>
					<div>
						问题描述 数值分析作业,jacobi法,为什么我的特征向量是算错的,特征值却对了,怎么改正? 以下是vc6里的代码算法在图里,求大神,qq:136620990求帮助 #include #include ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrqL0M.html" rel="bookmark" class="title">大家好，请问如截图的网页分栏框架是用什么如何实现的？如果是用bootstrap可以做到吗？如何做到？</a>
					<div>
						问题描述 大家好,请问如截图的网页分栏框架是用什么如何实现的?如果是用bootstrap可以做到吗?如何做到? 解决方案 如网址http://demo.onokumus.com/metis/dashb ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boR5Y3z.html" rel="bookmark" class="title">迅雷网游加速器游戏下载 服务免费体验畅快</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 日前,迅雷网游加速器推出免费游戏高速下载服务,包括英雄联盟.剑灵.地下城与勇士.穿越火线等在内的热门游戏都将实现全部免费高速下载,而且还能在后期免费进行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEAelM.html" rel="bookmark" class="title">ios-NSXMLParserDelegate警告</a>
					<div>
						问题描述 NSXMLParserDelegate警告 添加了@interface MedicalRecordViewController : UIViewController&lt;UITextFie ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5go6M.html" rel="bookmark" class="title">图片-这是什么原因，修改页面的下拉框值获取不到</a>
					<div>
						问题描述 这是什么原因,修改页面的下拉框值获取不到 解决方案 修改的时候下拉框里面对应的内容没有获取传递到前台.看看你新建的时候哪里取对应的值了,然后在修改的时候同样获取下. 解决方案二: 可是添加页 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0RJLAz.html" rel="bookmark" class="title">英研究人员首次证实承受大压力者或罹患心脏病</a>
					<div>
						承受压力大的人有动脉脂肪沉积等病变的风险升高2倍. 新浪健康讯 据英国&lt;每日邮报&gt;17日报道,一项最新研究证实,压力大确实有损心脏健康.承受大压力的人,很可能罹患心脏病. 报道称,很长时间 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4e0gjb.html" rel="bookmark" class="title">c&plus;&plus;-新手求助，C&plus;&plus;的头文件引用问题</a>
					<div>
						问题描述 新手求助,C++的头文件引用问题 为什么#include &quot;container.h&quot;报错说打不开source file啊,我完全不知道怎么回事,啊啊啊啊啊,求帮助 #if ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBDOBz.html" rel="bookmark" class="title">高品质的衣着可以让人眼前一亮，印象深刻</a>
					<div>
						在人们的衣.食.住.行四种需求中,衣是首当其冲的,高品质的衣着可以让人眼前一亮,印象深刻,而一台好洗衣机可以给好衣服高品质的呵护.近日,由卡萨帝发起的&quot;驰名商标卡萨帝创意在身边&quot;微 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPk500M.html" rel="bookmark" class="title">access数据库-Access中创建分割窗体，加入到水平标签或设计视图模式下后，看不到下半的数据表视图</a>
					<div>
						问题描述 Access中创建分割窗体,加入到水平标签或设计视图模式下后,看不到下半的数据表视图 如题,用access2010给数据表创建了分割窗体,但切换成设计视图后,为什么只有上半部分的窗体视图而没 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mgwva5M.html" rel="bookmark" class="title">广域网优化技术 如今提及就如冷饭热炒？</a>
					<div>
						什么是广域网?广域网优化是指什么技术--诸如此类的问题实际上从广域网出现那天起就已经存在,相应的技术也早已不怎么新鲜,只是近三 四年来,这些车轱辘话总在随着一波接一波用户市场的成熟而不断被 提起.如今 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBgvBz.html" rel="bookmark" class="title">SQL Server调优系列进阶篇（深入剖析统计信息）</a>
					<div>
						原文:SQL Server调优系列进阶篇(深入剖析统计信息) 前言 经过前几篇的分析,其实大体已经初窥到SQL Server统计信息的重要性了,所以本篇就要祭出这个神器了. 该篇内容会很长,坐好板凳, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8QrZp.html" rel="bookmark" class="title">《需求设计：构建用户想要和需要的产品》&mdash;&mdash;3&period;3　用例</a>
					<div>
						3.3 用例 在前面几节之中,笔者对敏捷开发做了批评.除了敏捷开发,目前还有一种比较流行的做法,那就是通过编写用例来捕获需求.这一节要讨论用例与情境设计之间的区别. 用例,本质上是用一系列带有序号的步 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2ox4z.html" rel="bookmark" class="title">listview-ContextItemSelected获取ListView的Item的信息</a>
					<div>
						问题描述 ContextItemSelected获取ListView的Item的信息 RT: 现在想从Item里面获取其中一个TextView的值. contactListView.setOnCrea ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmwLRp.html" rel="bookmark" class="title">Shell脚本中让进程休眠的方法（sleep用法）&lowbar;linux shell</a>
					<div>
						有时候写Shell的脚本,用于顺序执行一系列的程序. 有些程序在停止之后并没能立即退出,就例如有一个 tomcat 挂了,就算是用 kill -9 命令也还没瞬间就结束掉. 这么如果 shell 还没 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx2wKGz.html" rel="bookmark" class="title">利用视图管理器编写高效 SQL SELECT 语句</a>
					<div>
						献给初学者,老鸟别扔砖头 编写 SQL 语句一直都是比较纳闷的事,编写时没有一个良好的检错机制,只能运行时才能发现错误,特别是关联的表一多起来,思绪不免会被搞得晕头转向最后不知迷失在什么地方了.近日偶 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJexQ6p.html" rel="bookmark" class="title">中国电信2015年商用IPv6网络世博会率先应用</a>
					<div>
						4月7日消息,在今日举行的2010全球IPv6下一代互联网高峰会议上,中国电信表示,为促进 三网融合将分三个阶段发展IPv6网络,到2015年以后将全面商用.今年的上海世博会和明年的大运会均将应用IP ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
